netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
fuzz.c File Reference
`#include <signal.h>`
`#include <stddef.h>`
`#include <stdint.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <atalk/cnid.h>`
`#include <atalk/directory.h>`
`#include <atalk/globals.h>`
`#include <atalk/logger.h>`
`#include <atalk/netatalk_conf.h>`
`#include <atalk/volume.h>`
`#include "afp_config.h"`
`#include "afpfunc_helpers.h"`
`#include "dircache.h"`
`#include "directory.h"`
`#include "file.h"`
`#include "filedir.h"`
`#include "hash.h"`
`#include "subtests.h"`
`#include "test.h"`
`#include "volume.h"`

## Functions
int | LLVMFuzzerInitialize (int *argc, char ***argv)
int | LLVMFuzzerTestOneInput (const uint8_t *data, size_t size)

## Variables
unsigned char | nologin = 0
static AFPObj | obj
static AFPObj | aspobj
static uint16_t | vid
static int | initialized
static char | start_cwd [4096]

## Detailed Description

libFuzzer fuzz target for afpd file/directory operations

## Function Documentation

## ◆ LLVMFuzzerInitialize()

int LLVMFuzzerInitialize | ( | int * | argc,
|  | char *** | argv )

## ◆ LLVMFuzzerTestOneInput()

int LLVMFuzzerTestOneInput | ( | const uint8_t * | data,
|  | size_t | size )

## Variable Documentation

## ◆ aspobj

AFPObj aspobj
| static

## ◆ initialized

int initialized
| static

## ◆ nologin

unsigned char nologin = 0

## ◆ obj

AFPObj obj
| static

## ◆ start_cwd

char start_cwd[4096]
| static

## ◆ vid

uint16_t vid
| static